<template>
    <div>
        <VueSlickCarousel v-if="banners.length" :arrows="false" :dots="true" :pause-on-hover="true">
            <div v-for="(banner, index) in banners" :key="index" class="slick-carousel-slide bg-overlay" :style="{backgroundImage: 'url(\'img/unsplash/' + banner.image + '\')'}">
                <div class="website-container slick-carousel-wrapper">
                    <div class="slick-carousel-content w-full md:w-1/2 text-center md:text-left">
                        <h1 class="slick-title" v-text="banner.title"></h1>
                        <p class="slick-description mb-5 lg:mb-10" v-text="banner.short_desc"></p>
                        <a :href="'/solutions/' + banner.route" class="btn btn-danger btn-lg">
                            Read more
                        </a>
                    </div>
                    <div class="hidden md:block w-1/5 ml-auto">
                        <img :src="'/img/svg/' + banner.icon" class="opacity-25 w-full h-auto" alt="">
                    </div>
                </div>
            </div>
        </VueSlickCarousel>
    </div>
</template>

<script>
    // we need to import the vue-slick-carousel component
    import VueSlickCarousel from 'vue-slick-carousel';
    import 'vue-slick-carousel/dist/vue-slick-carousel.css'
    import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css'
    export default {

        components: { VueSlickCarousel },

        data(){
            return {
                banners: {}
            }
        },

        created(){
            this.get_banners_data();
        },

        methods: {
            get_banners_data(){
                let t = this;
                let route = '/banners-data';
                axios.get(route).then(({data}) => {
                    t.banners = data;
                });
            }
        }

    }
</script>